GuidesAPI Reference
API Reference

Multi-Reverse Geocode

This endpoint returns addresses/places for a list of geo-coordinates specified in the request.

Query Params
addressNamesVariant
object

The deep‑object parameter enables the API to return different variants of the component names in the GS7 results.

types
array of strings

Limit the result items to the specified types.

Provide one of the supported values or a comma separated list.

The following constraints apply:

  • If a bearing parameter is provided, the types parameter will accept types=street only.

Description of supported values:

  • address: restricting results to result types houseNumber, street, postalCodePoint, or addressBlock. Result type "intersection" is excluded from this list because it is not supported in reverse geocoder.
  • area: restricting results to result types locality or administrativeArea including all the sub-types
  • city: restricting results to result type locality and locality type city
  • houseNumber: restricting results to result type: houseNumber, including house number types PA (Point Address), MPA (Micro Point Address) and interpolated.
  • place: restricting results to result type place
  • street: restricting results to result type street
types
with
array of strings

Activate certain features or consider specific kinds of results, that would not be active or provided by default.

Description of supported values:

  • RESTRICTED MPA: Enables the returning of Micro Point Address results. GS7 supports micro point addresses in the following countries: AUS, AUT, CAN, NZL, USA (with the territory of PRI).
  • unnamedStreets: Enables the retrieval of unnamed street results.
  • ALPHA estimatedAreaFallback: Adds district and city names to results in areas where the respective names cannot be obtained from area polygon data. Instead, the Reverse Geocoder estimates these names based on administrative assignments to streets. A flag “estimatedAreaFallback: true” is returned in response which indicates the administrative result is estimated. 'Distance' is calculated from the input to the closest street section, user could judge the result confidence from the distance. While this estimation can be helpful in many cases, it may not always be completely accurate. The probability of false results, such as neighboring district or city names, exists primarily in border regions. This means that when streets are near the border between different administrative districts or cities, the estimation may occasionally provide the wrong district or city name.
with
lang
array of strings

Select the language to be used for result rendering from a list of BCP 47 compliant language codes.

lang
int32
1 to 10
Defaults to 1

Maximum number of results to be returned.

string

Toggle the political view.

This parameter accepts a single ISO 3166-1 alpha-3 country code in all uppercase.

If a valid 3-letter country code is provided for which GS7 does not have a dedicated political view, it will fallback to the default view.

The following political views are currently supported:

  • ARG: Argentina's view on the Southern Patagonian Ice Field and Tierra Del Fuego, including the Falkland Islands, South Georgia, and South Sandwich Islands
  • EGY: Egypt's view on Bir Tawil
  • IND: India's view on Gilgit-Baltistan
  • KEN: Kenya's view on the Ilemi Triangle
  • MAR: Morocco's view on Western Sahara
  • PAK: Pakistan's view on Jammu and Kashmir and the Junagadh Area
  • RUS: Russia's view on Crimea
  • SDN: Sudan's view on the Halaib Triangle
  • SRB: Serbia's view on Kosovo, Vukovar, and Sarengrad Islands
  • SUR: Suriname's view on the Courantyne Headwaters and Lawa Headwaters
  • SYR: Syria's view on the Golan Heights
  • TUR: Turkey's view on Cyprus and Northern Cyprus
  • TZA: Tanzania's view on Lake Malawi
  • URY: Uruguay's view on Rincon de Artigas
  • VNM: Vietnam's view on the Paracel Islands and Spratly Islands
showMapReferences
array of strings

Return the map references of the location objects

Description of supported values:

  • adminIds: Return the ids for the admin hierarchy of the response, to enable cross referencing into other services or data applications based on HERE Map Content

  • cmVersion: Return the core map version number of the region where the result is located

  • links: Return the link references from the result's access position, to enable cross referencing into other services or data applications

  • RESTRICTED microPointAddress: Return the reference of the micro point address, to enable cross referencing into other services or data applications based on HERE Map Content. This type of reference is only returned by Lookup endpoint or Geocode endpoint.

  • pointAddress: Return the reference of the point address, to enable cross referencing into other services or data applications based on HERE Map Content

  • segments: Return the street segment references from the result's access position, to enable cross referencing into other services or data applications based on HERE Map Content

    NOTE The previous parameter show=hmcReference is deprecated and replaced by showMapReferences=segments which serves the same purpose.

showMapReferences
show
array of strings

Select additional fields to be rendered in the response. Please note that some of the fields involve additional webservice calls and can increase the overall response time.

The value is a comma-separated list of the sections to be enabled. For some sections there is a long and a short ID.

Description of supported values:

  • countryInfo: For each result item renders additional block with the country info, such as ISO 3166-1 alpha-2 and ISO 3166-1 alpha-3 country code.
  • postalCodeDetails: For each result item of types postalCodePoint renders block with additional information about this postal code, such as postal code type: ZIP or ZIP+4; ZIP classification code: PO BOX, Unique or military; record type code for ZIP+4 codes. This feature is currently available only in the countries which are using ZIP codes - USA, PRI, VIR, GUM, MNP and ASM.
  • streetInfo: For each result item renders additional block with the street name decomposed into its parts like the base name, the street type, etc.
  • tz: Renders result items with additional time zone information.
  • ALPHA, RESTRICTED addressUsage: For each result item with types=houseNumber and houseNumberType=pointAddress, returns a flag indicating whether the address is residential.
show
showNavAttributes
array of strings

Return requested additional attributes for segments in a road network if showNavAttributes parameter is specified with valid value and relevant data is available.

The value is a comma-separated list of the sections to be enabled.

Description of supported values:

  • access: Return the vehicle types allowed on a road or lane.

  • functionalClass: Return the functional class which is used to classify roads depending on the speed, importance and connectivity of the road.

  • physical: Return the values to describe special physical characteristics of a road.

  • speedLimits: Include speed limit and travel direction of the road in the results where available in content and when requested by the client application.

    Note on speedLimits:

    • The feature is not supported in Japan.
    • This feature is subject to premium pricing. For details, contact your HERE customer representative.
showNavAttributes
showRelated
array of strings

allows enriching some types of response items with related items

Description of supported values:

  • intersections: For street and house number results, include a block containing a list of intersections nearest to the address.
  • nearbyAddress: Add nearby address as additional reference to the street level results in Reverse Geocode or Multi-Reverse Geocode, the feature is only available with parameter bearing or types=street.
  • RESTRICTED parentPA: For type=houseNumber and houseNumberType=MPA result items, include a block containing the "parent" point addresses associated with this micro point address. GS7 supports micro point addresses in the following countries: AUS, AUT, CAN, NZL, USA (with the territory of PRI).
showRelated
Body Params

Takes a newline-separated list of requests, following the URL query parameter syntax. Each line can only contain the following parameters.

  • The mandatory id parameter to identify the sub-request. Its value must be unique per request, with a size limit of 64 characters and can only contain alphanumeric characters, underscores, or dashes.

  • A mandatory location context: either at or in:circle must be specified, but not both at the same time. The supported values are the same as for their query parameter counterparts in the Reverse Geocode endpoint.

  • An optional bearing parameter, to expresses the direction in which an asset is heading in degrees starting at true north and continuing clockwise around the compass. North is 0 degrees, east is 90 degrees, south is 180 degrees, and west is 270 degrees. Values are expected to be of type Integer.

    For additional constraints related to the bearing parameter, see the parameter description in the Reverse Geocode endpoint.

No other parameters are allowed in the body. The body parameters must not be used in the URL. Other request parameters can be used in the URL as specified in the corresponding section. These are active for all sub-requests and combined with the location context from a body line, build a complete sub-request. Note that Multi-Reverse Geocode requests can only use limit-parameter values of up to ten. It is recommended to keep the value as low as possible for good performance.

At most, one hundred sub-requests are allowed per Multi Reverse Geocode request.

Headers
string

Used to correlate requests with their responses within a customer's application, for logging and error reporting.

Format: Free string, but a valid UUIDv4 is recommended.

Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json